Message: Re: build crashes for geant4.8.1.p02 Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

None Re: build crashes for geant4.8.1.p02 

Forum: Installation and Configuration
Re: Question build crashes for geant4.8.1.p02 (Supriya Das)
Date: 03 Feb, 2010
From: Ben Morgan <Ben Morgan>

On Wed, 03 Feb 2010 07:07:47 GMT, Supriya Das wrote:
> ...snip...
> include/G4OpenGL.hh:39:20: error: GL/glu.h: No such file or directory
> include/G4OpenGLXViewer.hh:45:27: error: X11/Intrinsic.h: No such file or directory
> include/G4OpenGLXViewer.hh:46:29: error: X11/Xmu/StdCmap.h: No such file or directory
> ...snip...
> Any suggestions!

It looks like you (I'm assuming this is Linux - it helps in resolving problems if you post the OS, distribution and version on which you're installing Geant4):

  • don't have OpenGL and/or the associated devel package(s) installed OR Configure failed to pick up the correct location for OpenGL on your system.
  • don't have one or more X11 devel packages installed

If you don't have the listed GL and X11 headers anywhere on your system, you'll need to consult the documentation for your distribution to find out which packages supply them.

Cheers,

Ben.

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 None: Re: build crashes for geant4.8.1.p02   (Colin Paul Gloster - 03 Feb, 2010)
2 None: Re: build crashes for geant4.8.1.p02   (Supriya Das - 03 Feb, 2010)
1 None: Re: build crashes for geant4.8.1.p02   (Colin Paul Gloster - 05 Feb, 2010)
 Add Message Add Message
to: "Re: build crashes for geant4.8.1.p02"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]